> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# archiveprovider

> MDO provider for available archive providers for Configurable screens. The items will be added by scanning ArchiveProviderFactory.KnownArchiveProviders for this pattern;

## "archiveprovider" MDO List

MDO provider for available archive providers for Configurable screens.
The items will be added by scanning ArchiveProviderFactory.KnownArchiveProviders for this pattern;

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ArchiveProviderList">ArchiveProviderList</see> class.
The name of the MDO list is 'archiveprovider'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/archiveprovider
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("archiveprovider", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name         | StyleHint | ExtraInfo                                   |
| -- | ------------ | --------- | ------------------------------------------- |
| 0  | Appointment  |           | ProviderName=ConfigurableArchiveAppointment |
| 1  | Document     |           | ProviderName=Document                       |
| 2  | Forms        |           | ProviderName=Forms                          |
| 3  | NewsFeedItem |           | ProviderName=NewsFeedItem                   |
| 4  | Sale         |           | ProviderName=Sale                           |

## Related MDO Lists

* "archiveproviderheadings"
* "archiveproviderheadingswithallitem"
* "archiveproviderheadingswithallitemwithnoselection"
* "archiveproviderheadingswithnoselection"
* "archiveproviderwithallitem"
* "archiveproviderwithallitemwithnoselection"
* "archiveproviderwithnoselection"


## Related topics

- [How to use ActivityArchive filters](/en/api/search/iarchiveagent/using-activityarchive-filters.md)
- [How to get a list of invitations (services)](/en/api/web-services/howto/diary/get-invitations-services.md)
- [SuperOffice.WebApi.Agents.DocumentAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.DocumentAgent.md)
- [SuperOffice.WebApi.Agents.IDocumentAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IDocumentAgent.md)
- [SuperOffice.WebApi.Agents.IListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IListAgent.md)
- [SuperOffice.WebApi.Agents.ListAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ListAgent.md)
